/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

@import (reference) '../styles.less';

.iot-day-2022 {
  &.header-wrapper::after {
    background-image: none;
  }
  & {
    background-image: url('../images/iot_day/iot_day_2022_jumbotron.jpg');
    background-position: left;
    height: 620px;
  }
  &.sub-page {
    height: 350px;
    background-size: auto;
  }
  .jumbotron {
    .jumbotron-content h1 {
      color: #f79a06;
      font-size: 50px;
      font-weight: 800;
      text-shadow: 1px 1px 8px rgba(0, 0, 0, 0.6);
      margin-bottom: 30px;
    }
    .row .col-sm-14 {
      & {
        display: flex;
        justify-content: center;
      }
      p {
        & {
          width: 80%;
          font-size: 28px;
          font-weight: 500;
          box-shadow: 0px 0px 45px rgba(0, 0, 0, 0.9);
          background-color: rgba(0, 0, 0, 0.42);
        }
        span {
          font-weight: 400;
          font-size: 21px;
        }
      }
    }
  }
  @media (min-width: 768px) {
    & {
      background-position: top;
    }
    &.sub-page {
      background-image: url('../images/iot_day/iot_day_2022_jumbotron_long.jpg');
      background-position: 48% -50px;
    }
    .jumbotron {
      .row .col-sm-14 {
        justify-content: flex-start;
        p {
          width: 380px;
        }
      }
    }
  }
}